---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab mr rebase`

Automatically rebase the source_branch of the merge request against its target_branch.

## Synopsis

If you don't have permissions to push to the merge request's source branch - you'll get a 403 Forbidden response.

```plaintext
glab mr rebase [<id> | <branch>] [flags]
```

## Examples

```plaintext
glab mr rebase 123
glab mr rebase  # get from current branch
glab mr rebase branch
glab mr rebase branch --skip-ci

```

## Options

```plaintext
      --skip-ci   Rebase merge request while skipping CI/CD pipeline.
```

## Options inherited from parent commands

```plaintext
      --help              Show help for command
  -R, --repo OWNER/REPO   Select another repository using the OWNER/REPO or `GROUP/NAMESPACE/REPO` format or full URL or git URL
```
